summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'eclass/php-ext-source-r2.eclass')
-rw-r--r--eclass/php-ext-source-r2.eclass11
1 files changed, 6 insertions, 5 deletions
diff --git a/eclass/php-ext-source-r2.eclass b/eclass/php-ext-source-r2.eclass
index 08620303f7c4..8d723b5a6730 100644
--- a/eclass/php-ext-source-r2.eclass
+++ b/eclass/php-ext-source-r2.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/php-ext-source-r2.eclass,v 1.31 2013/04/08 08:11:29 olemarkus Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/php-ext-source-r2.eclass,v 1.32 2013/04/14 06:54:43 olemarkus Exp $
# @ECLASS: php-ext-source-r2.eclass
# @MAINTAINER:
@@ -26,7 +26,7 @@ RDEPEND=""
# Because of USE deps, we require at least EAPI 2
case ${EAPI} in
- 2|3|4|5) ;;
+ 4|5) ;;
*)
die "php-ext-source-r2 is not compatible with EAPI=${EAPI}"
esac
@@ -68,20 +68,21 @@ esac
# Defaults to ${S}
[[ -z "${PHP_EXT_S}" ]] && PHP_EXT_S="${S}"
-#Make sure at least one target is installed. Abuses USE dependencies.
+#Make sure at least one target is installed.
+REQUIRED_USE="|| ( "
for target in ${USE_PHP}; do
IUSE="${IUSE} php_targets_${target}"
target=${target/+}
- SELFDEPEND="${SELFDEPEND} =${CATEGORY}/${PF}[php_targets_${target}]"
+ REQUIRED_USE+="php_targets_${target} "
slot=${target/php}
slot=${slot/-/.}
PHPDEPEND="${PHPDEPEND}
php_targets_${target}? ( dev-lang/php:${slot} )"
done
+REQUIRED_USE+=")"
RDEPEND="${RDEPEND}
${PHP_EXT_OPTIONAL_USE}${PHP_EXT_OPTIONAL_USE:+? ( }
- || ( ${SELFDEPEND} )
${PHPDEPEND}
${PHP_EXT_OPTIONAL_USE:+ )}"